//          Defining constants and parameters for the device
#ifndef __DEVICE_CFG__
#define __DEVICE_CFG__
//==============================================================================
// LIB
#include <stdint.h>


// APP
// -
//==============================================================================
//      						Constatnts and parameters
// *****************************************************************************
//==============================================================================
#define DVC_NAME_TXT "BrainDvcPTX"     						/* device name */
//==============================================================================
#define DVC_HW_REV	"0"
// --- FW VERSION DEFINEABLE VARIABLES ---
#define DVC_FW_VER_MAJOR	0								/* 0-7 - significant changes in FW: fixing serious bugs, adding a parameter to the live version,... */
#define DVC_FW_VER_MINOR	1								/* 0-63 - small changes in FW: cosmetic, removal of small bugs */
#define DVC_FW_VER_PATCH	68								/* 0-255 -  */
//------------------------------------------------------------------------------
#ifdef DEBUG
	#define BUILD_NAME	"DEBUG"								/* ("DEBUG") text name of the building */
    #define DEBUG_OSC 	1                                   /* globalne riadenie (povolenie) pomocnych OSC znaciek */
#else
	#define BUILD_NAME	"RELEASE"							/* ("RELEASE") text name of the building */
    #define DEBUG_OSC 	0                                   /* globalne riadenie (povolenie) pomocnych OSC znaciek */
#endif
//------------------------------------------------------------------------------
// *****************************************************************************
#define TEST_PRINT_ESBTX_DATA	0       					/* enable/disable - print the data from transmited ESB packet */

// *****************************************************************************
//									ESB 
#define ESB_BASE_ADDR_0 	{ 0xE7, 0xE7, 0xE7, 0xE7 }
#define ESB_BASE_ADDR_1 	{ 0xC2, 0xC2, 0xC2, 0xC2 }
#define ESB_ADDR_PREFIX		{ 0xE7, 0xC2, 0xC3, 0xC4, 0xC5, 0xC6, 0xC7, 0xC8 }
#define TRANSMIT_ESB_MODE ESB_MODE_PTX
#define TRANSMIT_ACK_CTRL	  0								/* ESB ACK: 0 ~ NO / 1 ~ YES */
#define TRANSMIT_DELAY_ESB_ms 0								// (0) [ms] delay between ESB packets
#define TRANSMIT_DELAY_FPGA_EXTRA_ms 0						// (500) [ms] delay between (5) FPGA packets
#define TRANSMIT_DELAY_FPGA_ARR_ms 3000						// (3000) [ms] delay between FPGA array
#define TRANSMIT_WAIT_OVERLAP_ms 250						// (100) [ms] time overlap for waiting for FIFO
//==============================================================================
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

// #############################################################################
//              				Makros and definitions
// #############################################################################


// *****************************************************************************
// 								Defining enumerators
// *****************************************************************************


// *****************************************************************************
// 								Publishing global variables
// *****************************************************************************
// memory region:                   DATA
// *****************************************************************************

// *****************************************************************************
// memory region:            		CODE
// *****************************************************************************

// *****************************************************************************
//                             Function prototypes
// *****************************************************************************
// ******************************************************************bookmark***
#endif
